Page MenuHomePhabricator

Enable async logging on Wikidata Query Service
Closed, ResolvedPublic

Description

As seen in T198042, WDQS has a number of threads stuck on logging. We should use an async logger and drop messages when the logging throughput can't be reached.

Of course, we should also reduce the amount of logging, but that will be for another task.

Event Timeline

Gehel created this task.Jun 25 2018, 6:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 6:42 AM

Change 441772 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: enable async logging

https://gerrit.wikimedia.org/r/441772

Change 441772 merged by Gehel:
[operations/puppet@production] wdqs: enable async logging

https://gerrit.wikimedia.org/r/441772

Mentioned in SAL (#wikimedia-operations) [2018-06-25T08:11:23Z] <gehel> rolling restart of wdqs to enable async logging - T198051

Change 441781 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: async appender only support a single appender-ref

https://gerrit.wikimedia.org/r/441781

Change 441781 merged by Gehel:
[operations/puppet@production] wdqs: async appender only support a single appender-ref

https://gerrit.wikimedia.org/r/441781

Change 441803 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: correct async appender package name

https://gerrit.wikimedia.org/r/441803

Change 441803 merged by Gehel:
[operations/puppet@production] wdqs: correct async appender package name

https://gerrit.wikimedia.org/r/441803

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 26 2018, 7:37 AM
Smalyshev triaged this task as Medium priority.Jun 28 2018, 5:30 AM
Vvjjkkii renamed this task from Enable async logging on Wikidata Query Service to wdaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from wdaaaaaaaa to Enable async logging on Wikidata Query Service.Jul 2 2018, 10:21 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Smalyshev closed this task as Resolved.Jul 3 2018, 8:09 AM